package apifest;

import junit.framework.TestCase;
import org.apidesign.apifest08.currency.Convertor;
import org.apidesign.apifest08.currency.CurrencyValue;
//import static org.apidesign.apifest08.test.Currencies.CZK;
//import static org.apidesign.apifest08.test.Currencies.SKK;
//import static org.apidesign.apifest08.test.Currencies.USD;

/** Write a test that works with version from task A and fails with version B.
 */
public class CurrencyTest extends TestCase {
    public CurrencyTest(String n) {
        super(n);
    }

    public void testCompatibility() throws Exception {
        try {
            Convertor c = Convertor.getConvertorIntegerString(
                CurrencyValue.getCurrencyValue(1, "CZK"),
                CurrencyValue.getCurrencyValue(1, "CZK")
            );
            c.convert("CZK", CurrencyValue.getCurrencyValue(10, "CZK"));
            fail("Should throw exception");
        } catch (IllegalArgumentException e) {
            //ok
        }
    }
}
