package org.apidesign.apifest08.currency;

import java.math.BigDecimal;
import java.util.Currency;
import java.util.Date;


public interface TimedConvertor
    extends Convertor
{
    BigDecimal convert(Currency   from, 
                       Currency   to, 
                       BigDecimal amount,
                       Date       date)
        throws InvalidConversionException;
    boolean canConvert(Currency from, Currency to, Date date);
}